Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class MimeMultipartCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec
          weblogic.webservice.encoding.AttachmentCodec
              weblogic.webservice.encoding.MimeMultipartCodec

All Implemented Interfaces:
  Serializable, Deserializer, DeserializerFactory, Serializer, SerializerFactory

Deprecated. please migrate to jws for webservices

    public class MimeMultipartCodec

extends AttachmentCodec

See Also:
  Serialized Form

Constructor Summary
`MimeMultipartCodec()` Deprecated.

Method Summary
`protected Object` | `deserialize(XMLName name, SOAPMessage message, DeserializationContext context)` Deprecated.
`protected Object` | `deserializeContent(Object input)` Deprecated.
`protected String` | `getContentType()` Deprecated.
`protected void` | `serialize(Object input, XMLName name, SOAPMessage message, SerializationContext context)` Deprecated.
`protected Object` | `serializeContent(Object input)` Deprecated.

Methods inherited from class weblogic.webservice.encoding.AttachmentCodec
`addBodyElement, deserialize, deserialize, getAttachmentPart, serialize`

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMultipartCodec

    public MimeMultipartCodec()

  Deprecated.

Method Detail

### getContentType

    protected String getContentType()

  Deprecated.
  Specified by:
    `getContentType` in class `AttachmentCodec`

### serializeContent

    protected Object serializeContent(Object input)

  Deprecated.
  Specified by:
    `serializeContent` in class `AttachmentCodec`

### deserializeContent

    protected Object deserializeContent(Object input)

  Deprecated.
  Specified by:
    `deserializeContent` in class `AttachmentCodec`

### deserialize

    protected Object deserialize(XMLName name,
                                 SOAPMessage message,
                                 DeserializationContext context)
                          throws JAXRPCException

  Deprecated.
  Overrides:
    `deserialize` in class `AttachmentCodec`
  Throws:
    `JAXRPCException`

### serialize

    protected void serialize(Object input,
                             XMLName name,
                             SOAPMessage message,
                             SerializationContext context)
                      throws SOAPFaultException

  Deprecated.
  Overrides:
    `serialize` in class `AttachmentCodec`
  Throws:
    `SOAPFaultException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD